fr.enssat.BoulderDash.bridges

## Class SoundJLayerBridge

- java.lang.Object
- - javazoom.jl.player.advanced.PlaybackListener
  - - fr.enssat.BoulderDash.bridges.SoundJLayerBridge

All Implemented Interfaces:
  java.lang.Runnable

    public class SoundJLayerBridge
    extends javazoom.jl.player.advanced.PlaybackListener
    implements java.lang.Runnable

SoundJLayerBridge Sound bridge to the JLayer library.

Since:
  2015-06-19
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`SoundJLayerBridge(java.lang.String filePath)` Class constructor

### Method Summary

Methods
`void` `play()` Play the target sound
`void` `run()` Runs the player thread
`void` `stop()` Stops the target sound

### Methods inherited from class javazoom.jl.player.advanced.PlaybackListener

`playbackFinished, playbackStarted`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SoundJLayerBridge

    public SoundJLayerBridge(java.lang.String filePath)

Class constructor

Parameters:
  `filePath` - File path to sound file

### Method Detail

#### play

    public void play()

Play the target sound

#### stop

    public void stop()

Stops the target sound

#### run

    public void run()

Runs the player thread

Specified by:
  `run` in interface `java.lang.Runnable`